Package commoble.morered.plate_blocks

# Interface LogicFunction

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface LogicFunction
Basic logic

## Method Summary

Modifier and Type
Method
Description
`boolean`
`apply(boolean a, boolean b, boolean c)`

## Method Details

### apply

boolean apply(boolean a, boolean b, boolean c)

Parameters:
  `a` - The first input for a gate, 90 degrees clockwise from the output
  `b` - The second input for a gate, 180 degrees clockwise from the output
  `c` - The third input for a gate, 270 degrees clockwise from the output
Returns:
  True if the output should be lit, false if the output should be unlit